// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.

/*
 */
package com.ibm.wsspi.batch;

/**
 * CheckPointPolicy algorithms determine when a Batch Execution Environment
 * commits the global transaction when it is invoking
 * the Batch Step Bean by calling the Step Bean's processJobStep
 * method in a batch loop. This SPI allows for the creation of
 * customized checkpoint algorithms which can be applied to particular
 * batch jobs when they are submitted to the job scheduler.
 *
 * @ibm-spi
 */
public interface CheckpointPolicyAlgorithm extends com.ibm.batch.spi.CheckpointPolicyAlgorithm
{
	
	
}
