// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2005
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.


package com.ibm.websphere.batch;

/**
 * BatchJobStepLocalHomeInterface is the home interface of a Batch Job Step entity EJB (Batch Step Bean).
 * The Batch Execution Environment creates and finds batch step EJBs via this interface.
 * 
 * Note that the primary key of a Batch Bean has to be the BatchJobStepKey class.
 *
 * @ibm-api
 */
public interface BatchJobStepLocalHomeInterface
	extends javax.ejb.EJBLocalHome {
 
	public com.ibm.websphere.batch.BatchJobStepLocalInterface create(
		java.lang.String jobID,
		java.lang.String stepID)
		throws javax.ejb.CreateException;
	
	public com.ibm.websphere.batch.BatchJobStepLocalInterface findByPrimaryKey(
		com.ibm.websphere.batch.BatchJobStepKey primaryKey)
		throws javax.ejb.FinderException;
}
